package de.fhdw.wtf.common.exception.parser;

import de.fhdw.wtf.common.constants.parser.ExceptionConstants;

/**
 * This Message will be thrown if the Method standardizeElements in {@link de.fhdw.wtf.common.ast.type.SumType} find
 * Anything as Element in the Sum.
 */
public class SumIsAnythingException extends Exception {
	
	/**
	 * generated.
	 */
	private static final long serialVersionUID = -4781383680373113316L;
	
	/**
	 * Constructor of {@link SumIsAnythingException}.
	 */
	public SumIsAnythingException() {
		super(ExceptionConstants.SUM_IS_ANYTHING_MESSAGE);
	}
	
}
