package de.fhdw.wtf.common.exception.walker;

public class InvalidThrowException extends Exception {
	
	private static final long serialVersionUID = 0;
	
	private InvalidThrowException(final String taskToString) {
		super(de.fhdw.wtf.common.constants.walker.ExceptionConstants.WRONG_THROWING_DECLARATION + taskToString);
	}
	
	public static InvalidThrowException create(final String taskToString) {
		return new InvalidThrowException(taskToString);
	}
}
