package de.fhdw.wtf.tooling;

public final class SyntaxCheck extends SyntaxCheckAbstract {
	
	/**
	 * the one instance of SyntaxCheck.
	 */
	private static SyntaxCheck instance;
	
	/**
	 * Returns the one excisting Instance of {@link SyntaxCheck}.
	 * 
	 * @return SyntaxCheck-Instance
	 */
	public static synchronized SyntaxCheck getInstance() {
		if (instance == null) {
			instance = new SyntaxCheck();
		}
		return instance;
	}
	
	/**
	 * Constructor of {@link SyntaxCheck}.
	 */
	private SyntaxCheck() {
	}
	
}
